Get Bet Details

The Operator will call this API to get the details of the bet from Naga Games.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

API URL : {NagaGamesAPIDomain}/operator/bet/history
HTTP Method : GET

URL Parameters:

Parameter NameDescriptionData TypeRequired
betIdUnique ID of the betString (length: 36)Required
brandCodeunique code name of a brandString (length: 4)Required
groupCodeunique code name of a groupString (length: 4)Required

Example

curl --request GET \
     --url 'https://api.stg.game.topplatform.online/operator/bet/history?betId=d0af2951-c415-1b2d-191b-19e3c966726e&groupCode=dpae&brandCode=dtdr' \
     --header 'accept: application/json'

Response

Data Response

Parameter NameDescriptionData Type
idThe unique identifier of the recordString (length: 255)
createdThe date and time when the record was createdDateTime
updatedThe date and time when the record was last updatedDateTime
amountBetting AmountDecimal (20,4)
earnWinning Amount of the Bet
( profit = bet amount - won amount )
Decimal (20,4)
parentBetIdThe parent bet’s unique identifierString (length: 255)
betSizeThe value of a coinDecimal (20,4)
betLevelThe number of coins per lineInteger
playerBalanceBalance of a player’s walletDecimal (20,2)
endingBalanceEnding balance of a player’s walletDecimal (20,2)
betStatusThe status of the bet. A bet can be A bet can be:
  • PENDING: Bet is in process on the Naga Games server.
  • RESOLVED: Bet has been successfully completed by both the operator and Naga Games server.
  • OPERATOR_UNKNOWN_ERROR: Naga Games server received an error from the operator, which resulted in marking the bet as an error.
    -CANCELED: Bet is canceled on both the operator and Naga Games server
    -PENDING_CANCELED: Bet is waiting for the operator server to call the API to cancel the bet
    -PAYOUT_OPERATOR_ERROR: Naga Games server received an error on the Payout from the operator
    -PLACEBET_OPERATOR_ERROR: Naga Games server received an error on the PLACEBET from the operator
    -PAYOUT_CHECK_FAIL: The Payout response from the operator was not valid, resulting in marking the bet as not valid
    -PLACEBET_CHECK_FAIL: The PLACEBET response from the operator was not valid, resulting in marking the bet as not valid.
    -PLACEBET_RESOLVED: Bet has been successfully placed after calling the operator and receiving a valid response with a status 200
    -CANCEL_FAIL: The bet is marked as a fail cancel when it exceeds the maximum retry limit of five times in seamless reconciliation.
    -PAYOUT_FAIL: The bet is marked as a fail payout when it exceeds the maximum retry limit of five times in seamless reconciliation.
String (length: 255)

Example

Success Response Example (HTTP status code 200)

{
  "id": "d0af2951-c415-1b2d-191b-19e3c966726e",
  "created": "2023-05-12T06:03:56.504Z",
  "updated": "2023-05-12T06:03:56.698Z",
  "amount": 2,
  "earn": 1.6,
  "parentBetId": null,
  "betSize": 0.1,
  "betLevel": 1,
  "playerBalance": 9886.38,
  "endingBalance": 9885.98,
  "betStatus": "RESOLVED"
}

Failure Response Example (HTTP status code 400)

{
  "statusCode": 400,
  "message": [
    "brandCode should not be empty"
  ],
  "error": "Bad Request"
}
Query Params
string
required
Defaults to d0af2951-c415-1b2d-191b-19e3c966726e
string
required
Defaults to dpae
string
required
Defaults to dtdr
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json